Results 1 to 4 of 4

Thread: Missing dependency for pts/minion-1.4.0

  1. #1
    Join Date
    Jun 2013
    Posts
    2

    Default Missing dependency for pts/minion-1.4.0

    Hiho.. Not sure if this is the right place for bug reports, but I just came across a minor glitch and wanted to let folks know..

    On Ubuntu 13.04, when attempting to install the pts/minion-1.4.0 test, I got the following:

    Code:
        pts/minion-1.4.0:
            Test Installation 1 of 1
            1 File Needed [6.64 MB / 1 Minute]
            File Found: minion-0.15-src.tar.gz                          [6.64MB]
            Installation Size: 55 MB
            Installing Test @ 18:41:19 
                The installer exited with a non-zero exit status.
                ERROR: Boost not found -- do you have the iostreams component?
                LOG: ~/.phoronix-test-suite/installed-tests/pts/minion-1.4.0/install-failed.log
    I found I needed to install the libboost-iostreams-dev package before the installer would work properly.

    (Since PTS seems to be pretty good about installing necessary prerequisites before attempting to install other tests I'm assuming this was an oversight and this package just needs to be added to a dependencies list somewhere..)

  2. #2

    Default

    Quote Originally Posted by Foogod View Post
    Hiho.. Not sure if this is the right place for bug reports, but I just came across a minor glitch and wanted to let folks know..

    On Ubuntu 13.04, when attempting to install the pts/minion-1.4.0 test, I got the following:

    Code:
        pts/minion-1.4.0:
            Test Installation 1 of 1
            1 File Needed [6.64 MB / 1 Minute]
            File Found: minion-0.15-src.tar.gz                          [6.64MB]
            Installation Size: 55 MB
            Installing Test @ 18:41:19 
                The installer exited with a non-zero exit status.
                ERROR: Boost not found -- do you have the iostreams component?
                LOG: ~/.phoronix-test-suite/installed-tests/pts/minion-1.4.0/install-failed.log
    I found I needed to install the libboost-iostreams-dev package before the installer would work properly.

    (Since PTS seems to be pretty good about installing necessary prerequisites before attempting to install other tests I'm assuming this was an oversight and this package just needs to be added to a dependencies list somewhere..)
    Thanks, should be taken care of now in Git.

  3. #3
    Join Date
    May 2014
    Posts
    2

    Default It's baaaack

    I just reproduced this same issue on Linux Mint 15 using PTS 5.0.1-Plavsk. Has this change not made it into the stable stream yet?

  4. #4

    Default

    Quote Originally Posted by Tijok View Post
    I just reproduced this same issue on Linux Mint 15 using PTS 5.0.1-Plavsk. Has this change not made it into the stable stream yet?
    It's in PTS 5.0 and newer... You should be fine. Did it attempt to install any Boost libraries? If you have some Boost libraries already present, it may have skipped over trying to install them if it thought the file checks passed for the Boost library files it looks for.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •